package com.ruoyi.project.training.spec.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训计划对象 t_st_plan
 *
 * @author ruoyi
 * @date 2022-04-13
 */
public class TStPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private String staffId;

    /** 培训员工编号 */
    @Excel(name = "培训员工姓名")
    private String staffName;

    /** 导师编号 */
    private String mentorStaffId;

    /** 导师姓名 */
    private String mentorStaffName;

    /** 培训内容 */
    @Excel(name = "培训内容")
    private String plantName;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 实际完成培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "实际完成培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateOfCompletion;

    /** 学时 */
    @Excel(name = "学时")
    private String classHour;

    /** 具体内容 */
    @Excel(name = "具体内容")
    private String classContent;

    /** 学习状态 */
    @Excel(name = "学习状态")
    private String studyState;

    /** 审核状态 */
    private Long approveStatus;

    /** 科目成绩 */
    private String score;

    /** 综合评价 */
    private String overallComment;

    private Long yearPlanId;

    private Long year;

    private Integer editFlag;

    public Long getYearPlanId() {
        return yearPlanId;
    }

    public Long getYear() {
        return year;
    }

    public void setYear(Long year) {
        this.year = year;
    }

    public void setYearPlanId(Long yearPlanId) {
        this.yearPlanId = yearPlanId;
    }

    public Date getDateOfCompletion() {
        return dateOfCompletion;
    }

    public void setDateOfCompletion(Date dateOfCompletion) {
        this.dateOfCompletion = dateOfCompletion;
    }

    public String getMentorStaffId() {
        return mentorStaffId;
    }

    public void setMentorStaffId(String mentorStaffId) {
        this.mentorStaffId = mentorStaffId;
    }

    public String getMentorStaffName() {
        return mentorStaffName;
    }

    public void setMentorStaffName(String mentorStaffName) {
        this.mentorStaffName = mentorStaffName;
    }

    public String getOverallComment() {
        return overallComment;
    }

    public void setOverallComment(String overallComment) {
        this.overallComment = overallComment;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public Long getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(Long approveStatus) {
        this.approveStatus = approveStatus;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setPlantName(String plantName)
    {
        this.plantName = plantName;
    }

    public String getPlantName()
    {
        return plantName;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setClassHour(String classHour)
    {
        this.classHour = classHour;
    }

    public String getClassHour()
    {
        return classHour;
    }
    public void setClassContent(String classContent)
    {
        this.classContent = classContent;
    }

    public String getClassContent()
    {
        return classContent;
    }
    public void setStudyState(String studyState)
    {
        this.studyState = studyState;
    }

    public String getStudyState()
    {
        return studyState;
    }

    public Integer getEditFlag() {
        return editFlag;
    }

    public void setEditFlag(Integer editFlag) {
        this.editFlag = editFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("plantName", getPlantName())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("classHour", getClassHour())
            .append("classContent", getClassContent())
            .append("studyState", getStudyState())
            .toString();
    }
}
